Commit 95eea548 authored by Hilko Bengen's avatar Hilko Bengen

Patch opensshlib/configure so OpenSSL 1.1 is recognized

parent 1ae18cb7
ncrack (0.6-1) UNRELEASED; urgency=medium
[ Marcos Fouces ]
* New upstream version 0.6
* Rework patches for new upstream release
* Bump Standards-Version to 4.1.1 (no changes required)
-- Marcos Fouces <marcos.fouces@gmail.com> Fri, 03 Nov 2017 23:22:27 +0100
[ Hilko Bengen ]
* Patch opensshlib/configure so OpenSSL 1.1 is recognized
-- Hilko Bengen <bengen@debian.org> Mon, 11 Dec 2017 17:29:27 +0100
ncrack (0.5-6) unstable; urgency=high
......
Index: ncrack/opensshlib/configure.ac
===================================================================
--- ncrack.orig/opensshlib/configure.ac
+++ ncrack/opensshlib/configure.ac
@@ -2381,6 +2381,7 @@ if test "x$openssl" = "xyes" ; then
[AC_LANG_PROGRAM([[
#include <stdio.h>
#include <string.h>
+ #define OPENSSL_API_COMPAT 0x10000000L
#include <openssl/opensslv.h>
#include <openssl/crypto.h>
#define DATA "conftest.ssllibver"
@@ -2422,8 +2423,10 @@ if test "x$openssl" = "xyes" ; then
AC_MSG_CHECKING([whether OpenSSL's headers match the library])
AC_RUN_IFELSE(
[AC_LANG_PROGRAM([[
- #include <string.h>
- #include <openssl/opensslv.h>
+ #include <string.h>
+ #define OPENSSL_API_COMPAT 0x10000000L
+ #include <openssl/crypto.h>
+ #include <openssl/opensslv.h>
]], [[
exit(SSLeay() == OPENSSL_VERSION_NUMBER ? 0 : 1);
]])],
@@ -2452,7 +2455,10 @@ if test "x$openssl" = "xyes" ; then
AC_MSG_CHECKING([if programs using OpenSSL functions will link])
AC_LINK_IFELSE(
- [AC_LANG_PROGRAM([[ #include <openssl/evp.h> ]],
+ [AC_LANG_PROGRAM([[
+ #define OPENSSL_API_COMPAT 0x10000000L
+ #include <openssl/evp.h>
+ ]],
[[ SSLeay_add_all_algorithms(); ]])],
[
AC_MSG_RESULT([yes])
fix-autotools-compat.patch
fix-spelling-errors.patch
opensshlib-configure-openssl1.1.patch
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment